cgD3D9SetSamplerState(3)

NAME
cgD3D9SetSamplerState - set the state associated with a sampler parameter

SYNOPSIS
  #include <Cg/cgD3D9.h>
  HRESULT cgD3D9SetSamplerState( CGparameter param,
                                 D3DSAMPLERSTATETYPE type,
                                 DWORD value );

PARAMETERS

param
    The sampler parameter whose state is to be set.

type
    The D3D sampler state to set.

value
    A value appropriate for type. See the D3D documentation for appropriate values for each valid type.

RETURN VALUES
Returns D3D_OK if the function succeeds.

Returns the D3D failure code if the function fails due to a D3D call.

DESCRIPTION
cgD3D9SetSamplerState sets the state associated with a sampler parameter.

EXAMPLES
  // param is a CGparameter handle of type sampler
  ...
  // Set this sampler for tri-linear filtering
  cgD3D9SetSamplerState(param, D3DSAMP_MAGFILTER, D3DTEXF_LINEAR);
  cgD3D9SetSamplerState(param, D3DSAMP_MINFILTER, D3DTEXF_LINEAR);
  cgD3D9SetSamplerState(param, D3DSAMP_MIPFILTER, D3DTEXF_LINEAR);

ERRORS
cgD3D9Failed is generated if a D3D function returns an error.

CGD3D9ERR_INVALIDPROFILE is returned if params's profile is not a supported D3D profile.

CGD3D9ERR_NODEVICE is returned if a required D3D device is NULL. This usually occurs when an expanded interface routine is called but a D3D device has not been set with cgD3D9SetDevice.

CGD3D9ERR_NOTLOADED is returned if program was not loaded with the cgD3D9LoadProgram.

CGD3D9ERR_NOTSAMPLER is returned if param is not a sampler.

CGD3D9ERR_NOTUNIFORM is returned if param is not a uniform parameter.

CGD3D9ERR_INVALIDPARAM is returned if the parameter fails to set for any other reason.

HISTORY
cgD3D9SetSamplerState was introduced in Cg 1.1.

SEE ALSO
cgD3D9SetTexture, cgD3D9SetTextureWrapMode